From ecf7f061371ea361ad375637b0e70e1622aff2e3 Mon Sep 17 00:00:00 2001
From: Daiki Ueno <ueno@gnu.org>
Date: Fri, 14 May 2021 08:26:37 +0200
Subject: [PATCH 74/94] serv: stop setting AI_ADDRCONFIG on getaddrinfo

AI_ADDRCONFIG is only useful when the NODE argument is given in the
getaddrinfo call, as described in RFC 3493 6.1.  Suggested by Andreas
Metzler in:
https://gitlab.com/gnutls/gnutls/-/issues/1007#note_356637206

Signed-off-by: Daiki Ueno <ueno@gnu.org>
---
 src/serv.c | 6 +-----
 1 file changed, 1 insertion(+), 5 deletions(-)

diff --git a/src/serv.c b/src/serv.c
index 4a61ce619b..cde7c1645f 100644
--- a/src/serv.c
+++ b/src/serv.c
@@ -929,21 +929,17 @@ int listen_socket(const char *name, int listen_port, int socktype)
 	char portname[6];
 	int s = -1;
 	int yes;
 	listener_item *j = NULL;
 
 	snprintf(portname, sizeof(portname), "%d", listen_port);
 	memset(&hints, 0, sizeof(hints));
 	hints.ai_socktype = socktype;
-	hints.ai_flags = AI_PASSIVE
-#ifdef AI_ADDRCONFIG
-	    | AI_ADDRCONFIG
-#endif
-	    ;
+	hints.ai_flags = AI_PASSIVE;
 
 	if ((s = getaddrinfo(NULL, portname, &hints, &res)) != 0) {
 		fprintf(stderr, "getaddrinfo() failed: %s\n",
 			gai_strerror(s));
 		return -1;
 	}
 
 	for (ptr = res; ptr != NULL; ptr = ptr->ai_next) {
-- 
2.30.2

